POST
/api/v1/nodes/{node_id}/snapshot/{snapshot_uuid}
curl --request POST \ --url 'https://api.e2enetworks.com/myaccount/api/v1/nodes/{node_id}/snapshot/{snapshot_uuid}?project_id=<PROJECT_ID>&apikey=<API_KEY>&location=<LOCATION>' \ --header 'Authorization: Bearer <API_TOKEN>' \ --header 'Content-Type: application/json' \ --data '{ "name": "image-from-snapshot-1234"}'import requests
response = requests.post( "https://api.e2enetworks.com/myaccount/api/v1/nodes/{node_id}/snapshot/{snapshot_uuid}", params={"project_id": "<PROJECT_ID>", "apikey": "<API_KEY>", "location": "<LOCATION>"}, headers={"Authorization": "Bearer <API_TOKEN>"}, json={ "name": "image-from-snapshot-1234", },)print(response.json())const url = new URL("https://api.e2enetworks.com/myaccount/api/v1/nodes/{node_id}/snapshot/{snapshot_uuid}");url.search = new URLSearchParams({ project_id: "<PROJECT_ID>", apikey: "<API_KEY>", location: "<LOCATION>" });
const response = await fetch(url, { method: "POST", headers: { "Authorization": "Bearer <API_TOKEN>", "Content-Type": "application/json" }, body: JSON.stringify({ "name": "image-from-snapshot-1234" }),});console.log(await response.json());Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”node_id
required
string
Path parameter node_id.
snapshot_uuid
required
string
Path parameter snapshot_uuid.
Query Parameters
Section titled “Query Parameters”project_id
required
integer
Identifier of the project to scope the request to. Required integer project ID.
Example
<PROJECT_ID>apikey
required
string
API key used for authentication
Example
<API_KEY>location
required
string
Specifies where the saved image should be stored.
Example
<LOCATION>Request Body
Section titled “Request Body”Media typeapplication/json
object
name
Identifier for the saved image derived from a snapshot.
string
Example
image-from-snapshot-1234Responses
Section titled “Responses”Successful response
Media typeapplication/json
object
code
HTTP status code indicating the result of the Save Image from Snapshot operation
integer
data
object
errors
object
message
Status message indicating the result of the save operation
string
Example
{ "code": 200, "message": "Success"}